%define	module	anyjson

Summary:	Python wrapper for JSON implementations
Name:		python-%{module}
Version:	0.3.3
Release:	%mkrel 17
License:	BSD
Group:		Development/Python
Url:		http://bitbucket.org/runeh/anyjson
Source0:	https://pypi.io/packages/source/a/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Anyjson loads whichever is the fastest JSON module installed and provides
a uniform API regardless of which JSON implementation is used.

Originally part of carrot (http://github.com/ask/carrot/)

%package -n python3-%{module}
Summary:	Wraps the best available JSON implementation available
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Anyjson loads whichever is the fastest JSON module installed and
provides a uniform API regardless of which JSON implementation is used.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc CHANGELOG README
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}*.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.3.3-17.mga8
+ Revision: 1532161
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.3.3-16.mga8
+ Revision: 1441762
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.3.3-15.mga7
+ Revision: 1351017
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.3-14.mga7
+ Revision: 1288237
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 0.3.3-13.mga7
+ Revision: 1222300
- Rename python-anyjson to python2-anyjson
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 0.3.3-12.mga7
+ Revision: 1135305
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.3.3-11.mga6
+ Revision: 970683
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 0.3.3-10.mga6
+ Revision: 887518
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.3.3-9.mga5
+ Revision: 745913
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.3-8.mga5
+ Revision: 728047
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.3-7.mga5
+ Revision: 687882
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 0.3.3-6.mga5
+ Revision: 629722
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.3.3-5.mga5
+ Revision: 628453
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.3-4.mga4
+ Revision: 542973
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.3-3.mga4
+ Revision: 498103
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.3.3-2.mga4
+ Revision: 496843
- add Python3

* Sun Aug 18 2013 joequant <joequant> 0.3.3-1.mga4
+ Revision: 467406
- upgrade to 0.3.3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-2.mga3
+ Revision: 378458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.3.1-1.mga3
+ Revision: 313372
- imported package python-anyjson


* Mon Mar 28 2011 Lev Givon <lev@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 648693
- Update to 0.3.1.

* Wed Dec 08 2010 Lev Givon <lev@mandriva.org> 0.3-1mdv2011.0
+ Revision: 616287
- Update to 0.3.

* Tue Nov 09 2010 Lev Givon <lev@mandriva.org> 0.2.5-1mdv2011.0
+ Revision: 595458
- Update to 0.2.5.

* Mon Nov 08 2010 Lev Givon <lev@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 595123
- import python-anyjson


